part of user_notes;

class UserNotePage extends StatefulWidget {
  const UserNotePage({Key? key}) : super(key: key);

  @override
  State<UserNotePage> createState() => _UserNotePageState();
}

class _UserNotePageState extends State<UserNotePage> {
  @override
  Widget build(BuildContext context) {
    return GetBuilder<UserNoteController>(
      init: UserNoteController(),
      builder:(controller)=> Scaffold(
        appBar: AppBar(
          centerTitle: true,
          title: const Text('笔记'),
        ),
        body: CustomPullScrollView(
            controller: controller.refreshController,
            onRefresh: controller.onRefresh,
            onLoading: controller.onLoading,
            child:ListView.builder(
              itemBuilder: (BuildContext context, int index){
                return BuildItem(model: controller.notes[index],index: index,num: controller.notes.length,);
              },
              itemCount: controller.notes.length,
            )
        ),
      ),
    );
  }
}
